### Virtual Method

# Foundry TextBufferProvider save

#### Declaration [src]

    DexFuture*
    save (
      FoundryTextBufferProvider* self,
      FoundryTextBuffer* buffer,
      GFile* file,
      FoundryOperation* operation,
      const char* encoding,
      const char* crlf
    )

#### Description

No description available.

#### Parameters

`buffer`

  Type: `FoundryTextBuffer`

  No description available.

  The data is owned by the caller of the method.

`file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the method.

`operation`

  Type: `FoundryOperation`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`encoding`

  Type: `const char*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`crlf`

  Type: `const char*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.